<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Hmg CRUD!{% endblock %}</title>
        {% block stylesheets %}
            <link rel="stylesheet" href="{{ asset ('styles/index.css') }}">
        {% endblock %}
    </head>
    <body class="body">
        {% block header %}
            <div class="header">
                <div class="header-img__container">
                    <img class="header__img" src="{{ asset ('assets/images/hmg.png')}}" alt="logo HMG">
                </div>
                <h1 class="header__title">HMG USER'S CRUD</h1>
                {% if auth %}
                <div class="header__logged">
                    <div>
                    {% if userLogged.image %}
                        <img class="header__userimg" src="{{ userLogged.image }}" alt="image of  {{ userLogged.username }}">
                    {% else %}
                        <img class="header__userimg" src="assets/images/avatar.png" alt="image of an avatar">
                    {% endif %}
                    </div>
                    <div class="header__useroption">
                        <span class="header__login"> Welcome {{ userLogged.username|upper}}</span>
                        <a class="header__logout"href="{{ path('app_logout') }}">Logout</a>
                   </div>
                </div>
                {% endif %}
            </div>
        {% endblock %}
        {% block body %}
          {% for message in app.flashes('notice') %}
                <div class="flash-notice">
                    {{ message }}
                </div>
                {% endfor %}
            {% block content %}
            {% endblock %}
        {% endblock %}
        {% block javascripts %}{% endblock %}
    </body>
</html>
